Subject: Re: linux-next: build warning after merge of the mm tree

From: Jonathan Corbet <[email-masked]>
Date: Thu, 10 Nov 2022 13:43:43 -0700

Randy Dunlap <[email-masked]> writes:

> Looks like scripts/kernel-doc is deficient in parsing
>
> struct encoded_page;
>
> without having any { ... }
>
> and it doesn't handle "typedef union" or "typedef struct". :(

It's never needed to do that before...it's not often we document
structure types that don't actually exist :)  kernel-doc wants to be
able to check that all of the fields and such are documented, so it
tries to parse the whole thing.

In this case, the right solution might be to just write kerneldoc
comments for the accessor functions instead, since that's what will
actually be used.

jon